flutter_whatsnew 0.0.4

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • new68

flutter_whatsnew

pub package

A Flutter Plugin to Show a Whats New page. Complete with only showing on version change.

Usage

To use this plugin, add flutter_whatsnew as a dependency in your pubspec.yaml file.

// Import package
import 'package:flutter_whatsnew/flutter_whatsnew.dart';

Example

WhatsNewPage(
    title: Text(
    "What's New",
    textScaleFactor: textScaleFactor,
    textAlign: TextAlign.center,
    style: TextStyle(
        // Text Style Needed to Look like iOS 11
        fontSize: 22.0,
        fontWeight: FontWeight.bold,
    ),
    ),
    buttonText: Text(
    'Continue',
    textScaleFactor: textScaleFactor,
    style: TextStyle(
        color: Colors.white,
    ),
    ),
    // Create a List of WhatsNewItem for use in the Whats New Page
    // Create as many as you need, it will be scrollable
    items: <ListTile>[
    ListTile(
        leading: Icon(Icons.color_lens),
        title: Text(
        'Dark Theme',
        textScaleFactor: textScaleFactor,
        ), //Title is the only Required Item
        subtitle: Text(
        'Black and grey theme (Tap to Change)',
        textScaleFactor: textScaleFactor,
        ),
        onTap: () {
        // You Can Navigate to Locations in the App
        Navigator.of(context).pushNamed("/settings");
        },
    ),
    ListTile(
        leading: Icon(Icons.map),
        title: Text(
        'Google Maps',
        textScaleFactor: textScaleFactor,
        ),
        subtitle: Text(
        'Open Address Links in Google Maps instead of Apple Maps (Tap to Change)',
        textScaleFactor: textScaleFactor,
        ),
        onTap: () {
        // You Can Navigate to Locations in the App
        Navigator.of(context).pushNamed("/settings");
        },
    ),
    ListTile(
        leading: Icon(Icons.person_outline),
        title: Text(
        'Loan Contacts Enhancements',
        textScaleFactor: textScaleFactor,
        ),
        subtitle: Text(
        'Updated look for faster navigation',
        textScaleFactor: textScaleFactor,
        ),
        onTap: () {
            WhatsNewPage.showDetailPopUp(
            context,
            'Info',
            "Navigate to any loan then select the bottom right icon to go to the contacts. You can press the dropdown arrow for contact information.",
        );
        },
    ),
    ], //Required
    home: HomePage(), // Where the Button will Navigate (Usually the Login or Home Screen)
    showNow: false, // Show now regarless of version change (Useful for showing from the main menu)
    showOnVersionChange: true, //Show only if the version changes or the user reinstalls the app
),

[0.0.4] - Bug Fixes

  • Fixed Loading Bug.

[0.0.3] - Bug Fixes

  • Updating Startup Behavior.

[0.0.2] - Bug Fixes

  • Updating Startup Behavior.

[0.0.1] - Whats New Widget

  • Added Components, Version Check and Example.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  flutter_whatsnew: ^0.0.4

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:flutter_whatsnew/flutter_whatsnew.dart';
  
Version Uploaded Documentation Archive
0.0.4 Jul 10, 2018 Go to the documentation of flutter_whatsnew 0.0.4 Download flutter_whatsnew 0.0.4 archive
0.0.3 Jul 10, 2018 Go to the documentation of flutter_whatsnew 0.0.3 Download flutter_whatsnew 0.0.3 archive
0.0.2 Jul 10, 2018 Go to the documentation of flutter_whatsnew 0.0.2 Download flutter_whatsnew 0.0.2 archive
0.0.1 Jul 10, 2018 Go to the documentation of flutter_whatsnew 0.0.1 Download flutter_whatsnew 0.0.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
36
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
68
Learn more about scoring.

We analyzed this package on Jul 20, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0-dev.69.0
  • pana: 0.11.7
  • Flutter: 0.5.5

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Suggestions

The description is too short.

Add more detail about the package, what it does and what is its target use case. Try to write at least 60 characters.

Package is pre-v1 release.

While there is nothing inherently wrong with versions of 0.*.*, it usually means that the author is still experimenting with the general direction of the API.

Maintain an example.

Create a short demo in the example/ directory to show how to use this package. Common file name patterns include: main.dart, example.dart or you could also use flutter_whatsnew.dart.

Format lib/example/main.dart.

Run flutter format to format lib/example/main.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.28.0 <3.0.0
flutter 0.0.0
get_version ^0.0.4 0.0.5
native_widgets ^0.0.1 0.0.1
shared_preferences ^0.4.0 0.4.2
Transitive dependencies
collection 1.14.6 1.14.11
meta 1.1.5 1.1.6
package_info 0.3.2
sky_engine 0.0.99
typed_data 1.1.5 1.1.6
vector_math 2.0.6 2.0.7
Dev dependencies
flutter_test